org.gnome.gtk

## Class QuestionMessageDialog

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Bin
            - - org.gnome.gtk.Window
              - - org.gnome.gtk.Dialog
                - - org.gnome.gtk.MessageDialog
                  - - org.gnome.gtk.QuestionMessageDialog

-     public class QuestionMessageDialog
      extends MessageDialog

  A Dialog properly preconfigured to ask a yes or no question of the user.

  This is a modal MessageDialog of type `QUESTION` with an "Yes" and a "No" Button.

  You would typically use this in conjunction with `run()` as follows:

       final Window main;
       final Dialog question;
       final ResponseType response;

       main = new Window();
       ...
       question = new QuestionMessageDialog(main, "File exists!", "Do you really want to overwrite it?");
       response = question.run();

       question.hide();
       if (response == ResponseType.YES) {
           // save file
       } else {
           // cancel and return to application
       }

  which will result in something like:

  (depending on your theme, icon set, window manager preferences, of course). Notable here are the "question mark" icon and that the "No" Button has focus by default.

  Author:
    Andrew Cowie, Vreixo Formoso

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Dialog

      `Dialog.Response`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Window

      `Window.ConfigureEvent, Window.DeleteEvent`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.QueryTooltip, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuestionMessageDialog(Window parent, String primary, String secondary)`

  - ### Method Summary

    - ### Methods inherited from class org.gnome.gtk.MessageDialog

      `getSecondaryUseMarkup, getUseMarkup, setImage, setSecondaryText, setSecondaryText, setSecondaryUseMarkup, setUseMarkup`

    - ### Methods inherited from class org.gnome.gtk.Dialog

      `add, addButton, addButton, addButton, connect, emitResponse, run, setDefaultResponse`

    - ### Methods inherited from class org.gnome.gtk.Window

      `addAcceleratorGroup, connect, connect, getHeight, getMaximized, getPositionX, getPositionY, getScreen, getWidth, move, present, resize, setDecorated, setDefaultSize, setFullscreen, setGravity, setHasResizeGrip, setIcon, setIcon, setKeepAbove, setKeepBelow, setMaximize, setModal, setPosition, setResizable, setSkipPagerHint, setSkipTaskbarHint, setStick, setTitle, setTransientFor, setTypeHint`

    - ### Methods inherited from class org.gnome.gtk.Bin

      `getChild`

    - ### Methods inherited from class org.gnome.gtk.Container

      `getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuestionMessageDialog

          public QuestionMessageDialog(Window parent,
                               String primary,
                               String secondary)